
/* Chrysalide - Outil d'analyse de fichiers binaires
 * base64.h - prototypes pour la transormation en encodage Base64
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _PLUGINS_ENCODINGS_ROST_BASE64_H
#define _PLUGINS_ENCODINGS_ROST_BASE64_H


#include <glib-object.h>


#include <analysis/scan/patterns/modifier.h>



#define G_TYPE_SCAN_BASE64_MODIFIER            g_scan_base64_modifier_get_type()
#define G_SCAN_BASE64_MODIFIER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), G_TYPE_SCAN_BASE64_MODIFIER, GScanBase64Modifier))
#define G_IS_SCAN_BASE64_MODIFIER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), G_TYPE_SCAN_BASE64_MODIFIER))
#define G_SCAN_BASE64_MODIFIER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), G_TYPE_SCAN_BASE64_MODIFIER, GScanBase64ModifierClass))
#define G_IS_SCAN_BASE64_MODIFIER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), G_TYPE_SCAN_BASE64_MODIFIER))
#define G_SCAN_BASE64_MODIFIER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_TYPE_SCAN_BASE64_MODIFIER, GScanBase64ModifierClass))


/* Transormation en encodage Base64 (instance) */
typedef GScanTokenModifier GScanBase64Modifier;

/* Transormation en encodage Base64 (classe) */
typedef GScanTokenModifierClass GScanBase64ModifierClass;


/* Indique le type défini pour une transormation en encodage Base64. */
GType g_scan_base64_modifier_get_type(void);

/* Construit un modificateur livrant des encodages en Base64. */
GScanTokenModifier *g_scan_base64_modifier_new(void);



#endif  /* _PLUGINS_ENCODINGS_ROST_BASE64_H */
