
/* Chrysalide - Outil d'analyse de fichiers binaires
 * import.h - prototypes pour la localisation de fichiers de définitions externes
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _PLUGINS_KAITAI_IMPORT_H
#define _PLUGINS_KAITAI_IMPORT_H


#include "parsers/struct.h"
#include "parsers/type.h"



/* Met en place un type Kaitai pour une définition désignée. */
GKaitaiType *import_kaitai_definition(const char *, const char *);

/* Met en place un interpréteur pour une définition désignée. */
GKaitaiStruct *load_kaitai_definition(const char *, const char *);



#endif  /* _PLUGINS_KAITAI_IMPORT_H */
